std::__is_location_invariant< _Tp > Struct Template Reference
Inheritance diagram for std::__is_location_invariant< _Tp >:
[legend]

## Public Types

typedef integral_constant < bool, __v > | type
typedef bool | value_type

## Public Member Functions

constexpr | operator value_type ()

## Static Public Attributes

static constexpr bool | value

## Detailed Description

### template<typename _Tp>
struct std::__is_location_invariant< _Tp >

Trait identifying "location-invariant" types, meaning that the address of the object (or any of its members) will not escape. Also implies a trivial copy constructor and assignment operator.

Definition at line 1781 of file functional.

The documentation for this struct was generated from the following file:

- functional